\newpage

Vitrine
=======

Vitrine sécurisée ?
-------------------

Avant de commencer votre travail, il est important de mettre en place
toutes les sécurités nécessaires au bon déroulement de votre mise en
production. Vérifiez qu'aucun service n'écoute inutilement sur
Internet, et renforcez cela au moyen d'un pare-feu (`iptables` ou
`nftables` par exemple).

Faites le tour des configurations afin de vous assurer qu'elles sont
suffisamment durcies. Pensez à noter vos changements, vous devrez les
reporter dans un fichiers au chapitre suivant !


Ma première vitrine
-------------------

Sur le domaine `login_x.adlin2020.p0m.fr`, déployez une vitrine d'entreprise
basique (pas besoin d'un Wordpress, un simple lot de pages HTML fera l'affaire).

Vous aurez pour cela besoin d'un serveur web, dont le choix est laissé à votre
discrétion.

Vous pouvez utiliser les services de [Let's Encrypt](https://letsencrypt.org/)
pour obtenir un certificat TLS. Compte tenu des limitations imposées, vous ne
pourrez pas tous en créer un aujourd'hui, mais n'hésitez pas à retenter un peu
plus tard dans la semaine.

*D'ailleurs, si vous disposez de votre propre nom de domaine et que vous
souhaitez l'utiliser pour ce TP, n'hésitez pas à me solliciter pour que je
mette en place les redirections adéquates.*


Une fois votre serveur web configuré et votre vitrine installée, accédez à
votre domaine depuis votre poste pour constater la bonne marche de
l'installation.
