\newpage

Stations de travail
===================

DHCP
----

N'ayant pas, pour le moment, d'IPv6 sur votre réseau ; vous devez mettre en
place un serveur DHCP sur votre réseau afin que vos collaborateurs puissent
utiliser facilement le réseau.

Configurez un serveur DHCP, tel quel `isc-dhcp-server` ou `udhcpd` afin de
distribuer des IP correspondant au plan d'adressage. N'oubliez pas de définir
le chemin permettant de sortir sur Internet ainsi que d'utiliser le résolveur
de noms de domaine local.

Une fois configuré, vous pouvez tenter de vous connecter aux services web (vous
devriez avoir `wget` sur la station de travail accessible).


Zone démilitarisée et filtrage
------------------------------

Il est risqué d'exposer des ports d'administration sur Internet ou de permettre
à des zones sensibles d'être accédées par rebond. Définissez quelques règles de
filtrage sur le routeur afin notamment :

* d'empêcher les connexions au serveur de base de données, seule les connexions
  réalisées depuis le réseau des serveurs resteront disponibles ;
* de n'exposer le port SSH que depuis le réseau interne (pas depuis l'interface
  connectée à Internet).
